﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.IO;
using Infragistics.Controls.Grids;
using Infragistics.Olap.FlatData;
using Infragistics.Olap.Excel;
using Infragistics.Olap;

namespace Pivot
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Stream stream = new FileStream("Book1.xls", FileMode.Open,FileAccess.Read,FileShare.ReadWrite);
         
            FlatDataSource flatDataSource = new FlatDataSource();
            ExcelDataConnectionSettings excelDataConnectionSettings =  new ExcelDataConnectionSettings()
                {
                    FileStream = stream,
                    GeneratedTypeName = "ExcelData",
                    WorksheetName = "Sheet1"
                };
            flatDataSource.ConnectionSettings = excelDataConnectionSettings;
           
         
            flatDataSource.Measures = DataSourceBase.GenerateInitialItems("Profit");
            flatDataSource.Rows = DataSourceBase.GenerateInitialItems("[Store]");
           flatDataSource.Columns = DataSourceBase.GenerateInitialItems("[Type]");

           flatDataSource.Cube = DataSourceBase.GenerateInitialCube("ExcelData");
        
            flatDataSource.CubesSettings.Add(
                new CubeMetadata
                {
                    DataTypeFullName = "ExcelData",
                    DisplayName = "My Store Data"
                });

          xamPivotGrid1.DataSource = flatDataSource;
           stream.Close();

        }
    }
}
